#include <bits/stdc++.h>
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	int t,n,m,k,jedinica=0,a=0;
	cin>>t;
	for(int x=0; x<t; x++)
	{
		cin>>n>>m>>k;
		for(int i=0; i<n; i+=k)
		{
			if(n>k-i)
			{
				a+=(jedinica+1)*(k-(i%k));
			}
			else
			{
				a+=(jedinica+1)*k;
			}
			jedinica++;
		}
		if(m<a)
		{
			cout<<"Nie"<<"\n";
		}
		else
		{
			cout<<"Tak"<<"\n";
		}
	}
}